- Home
- API Enriched
- Sites
- data
- VK8s Events Scroll Query.
VK8s Events Scroll Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/vk8s_events/scroll';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/vk8s_events/scroll \ --header 'Authorization: <Authorization>'The response for vK8s events query contain no more than 500 events. One can use scroll request to scroll through more than 500 events or all events in multiple batches. Empty scroll_id in the response indicates no more messages to fetch (EOF).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace fetch the log messages scoped by namespace.
Query Parameters
Section titled “Query Parameters”Long Base-64 encoded string which can be used to retrieve next batch of log messages.
Responses
Section titled “Responses”A successful response.
Response message for AuditLogRequest/AccessLogRequest/LogScrollRequest.
object
Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.
object
List of log messages that matched the query. Not all log messages that matched the query are returned in the response.
Long Base-64 encoded string which can be used to retrieve next batch of log messages using the scroll request. Empty scroll_id indicates no more messages to scroll (EOF). Note: scroll_id is valid only for 2 minutes. I.e., If one intend to retrieve next batch of the result, then the scroll request should be sent within 2 minutes upon receiving the LogResponse.
Total number of log messages that matched the query.
object
This is a unique UUID generated by elastic search.
Configuration parameter for last timestamp
Examplegenerated
{ "aggs": {}, "logs": [ "example" ], "scroll_id": "example", "total_hits": "example", "last_sort_values": { "last_doc_id": "example", "last_timestamp": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example